/*
 * This file is part of Nuts Framework.
 * Copyright (C) 2009 Nuts Develop Team.
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 *
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.exts.struts2.views.java.simple;

import org.apache.struts2.components.template.TemplateRenderingContext;

public class ActionMessageRenderer extends AbstractMessageListRenderer {
    public ActionMessageRenderer(TemplateRenderingContext context) {
		super(context);
	}

	protected String getListExpression() {
        return "actionMessages";
    }

    @Override
    protected String getDefaultClass() {
        return "actionMessage";
    }
}
